package com.yc.education.service;/**
 * huangpan
 * 2019/10/15
 * energy
 */

import com.yc.education.model.Coom;

import java.util.List;

/**
 *@ClassName CoomService
 *@Description TODO
 *@Author QuZhangJing
 *@Date 2019/10/15 11:35
 *@Version 1.0
 */
public interface CoomService extends  IService<Coom>{
    List<Coom> getCooms();
    Coom getCoomsById(Integer id);
    void delCoomById(Integer id);
    List<Coom>getCoomId(Integer cid,Integer id);
    /*通过人数分类查询*/
    List<Coom> getCoomCid(Integer cid);
    /*根据会议室id查询*/
    List<Coom> selCoomid(Integer id);
    /*查询所有分页*/
    List<Coom> getCoomt(Integer pageNum, Integer pageSize);

    /*高级查询*/
    List<Coom> getIdNotIn(Integer id, String startTime, String endTime, Integer pageNum, Integer pageSize, Integer cid);

    /*后台分页查询*/
    List<Coom> getCoomsPage(Integer pageNum, Integer pageSize);
}
